Skip to main content
POST
Create an account statement

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Body

application/json
period_end
string<date>
required

The end of the period to generate the statement for, exclusive.

Example:

"2026-02-01"

period_start
string<date>
required

The start of the period to generate the statement for, inclusive.

Example:

"2026-01-01"

Response

Created

account
string
required

ID of the account the document belongs to.

content_type
string
required

MIME type of the document content.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

document_type
enum<string>
required

Kind of document.

Available options:
welcome_letter,
order_confirmation,
fee_statement,
account_statement
file
string
required

ID of the file containing the document.

id
string
required

Unique resource identifier.

is_downloadable
boolean
required

Whether the document is available for download.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

period_end
string<date> | null
required

End date of the period covered by the document.

Example:

"2026-03-31"

period_start
string<date> | null
required

Start date of the period covered by the document.

Example:

"2026-01-01"

reference
string | null
required

ID of the object this document evidences; the order an order confirmation confirms. Null for documents covering a period.

Example:

"ord_2eF9kQ7pXn"

title
string
required

Document title.